=== modified file 'NEWS'
--- NEWS	2008-06-05 16:27:16 +0000
+++ NEWS	2008-06-05 19:12:37 +0000
@@ -19,6 +19,9 @@
       end of line, causing a knit snapshot in a 'knits' repository will no longer
       cause KnitCorrupt. (Robert Collins)
 
+    * Sanitize branch nick before using it as an attachment filename in
+      ``bzr send``. (Lukáš Lalinský, #210218)
+
   IMPROVEMENTS:
 
     * Added the 'alias' command to set/unset and display aliases. (Tim Penhey)

=== modified file 'bzrlib/merge_directive.py'
--- bzrlib/merge_directive.py	2008-04-24 07:22:53 +0000
+++ bzrlib/merge_directive.py	2008-05-23 10:39:44 +0000
@@ -148,7 +148,8 @@
         else:
             revno = branch.get_revision_id_to_revno_map().get(self.revision_id,
                 ['merge'])
-        return '%s-%s' % (branch.nick, '.'.join(str(n) for n in revno))
+        nick = re.sub('(\W+)', '-', branch.nick).strip('-')
+        return '%s-%s' % (nick, '.'.join(str(n) for n in revno))
 
     @staticmethod
     def _generate_diff(repository, revision_id, ancestor_id):

=== modified file 'bzrlib/tests/test_merge_directive.py'
--- bzrlib/tests/test_merge_directive.py	2008-04-24 07:22:53 +0000
+++ bzrlib/tests/test_merge_directive.py	2008-05-23 10:39:44 +0000
@@ -374,7 +374,7 @@
 
     def test_disk_name(self):
         tree_a, tree_b, branch_c = self.make_trees()
-        tree_a.branch.nick = 'fancy-name'
+        tree_a.branch.nick = 'fancy <name>'
         md = self.from_objects(tree_a.branch.repository, 'rev2a', 500, 120,
             tree_b.branch.base)
         self.assertEqual('fancy-name-2', md.get_disk_name(tree_a.branch))

